Subject: Re: bug#36443: Canonicalized build directory name in container leads to confusion (was guix build mixes build dirs?)

From: Robert Vollmert <[email-masked]>
Date: Sun, 30 Jun 2019 19:47:44 +0200

Hi Mark,

> On 30. Jun 2019, at 19:43, Mark H Weaver <[email-masked]> wrote:
> 
> retitle 36443 Canonicalized build directory name in container leads to confusion
> thanks
> 
> Hi Robert,
> 
> Robert Vollmert <[email-masked]> writes:
>> Thanks for clarifying. Do you have an idea how to make this less confusing?
>> 
>> In my follow-up to the bug report I suggested
>> 
>>> E.g. instead of saying “keeping build directory <dir>” say
>>> “Keeping a copy of the build directory at <dir>”.
>> 
>> But I feel that might be improved upon. “Copied build directory to …”?
>> What do you think?
> 
> The directory is not copied.  It is the same directory, but with a
> different name in the build container's namespace.  You can see this by
> examining the contents of the directory while the build is in progress.
> 
> I agree that it would be good to eliminate this potential source of
> confusion, but it's not yet clear to me how to do it.
> 
> Any other ideas?

I see, thanks for clarifying.

How about dropping the “-0” suffix inside the container? The major part
of my confusion was that the directory “-0” actually existed in /tmp
from a previous failed build; this change might avoid that.

Cheers
Robert